## spectra 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
project (Spectra VERSION 1.0.1 LANGUAGES CXX)

# Make CMake look into the ./cmake/ folder for configuration files
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(CheckCXXCompilerFlag)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF) # Without compiler extensions like gnu++11
set(CMAKE_CXX_FLAGS_DEBUG "-O1 -g") # Use slight optimization to speed up tests
set(CMAKE_CXX_FLAGS_RELEASE "-O2")

# Supported options
# -----------------
option(ENABLE_COVERAGE_BUILD "Do a coverage build" OFF)
option(BUILD_TESTS "Build tests" OFF)
option(BUILD_EXAMPLES "Build examples" OFF)
include(FeatureSummary) # More verbose Output for libraries using set_package_properties

# Look for supporting libraries
# -----------------------------
find_package(Eigen3 NO_MODULE REQUIRED)
set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")

# Setup library
# -------------
add_library(Spectra INTERFACE)
target_include_directories(
    Spectra
    INTERFACE
    $<INSTALL_INTERFACE:include>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
)
target_link_libraries(Spectra INTERFACE Eigen3::Eigen)

# Parse additional options
# ------------------------
if(ENABLE_COVERAGE_BUILD)
    message(STATUS "Enabling coverage build")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage")
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(test)
endif()

# Install the library (relative to the CMAKE_INSTALL_PREFIX)
# ----------------------------------------------------------
include(GNUInstallDirs)

install(
    TARGETS Spectra
    EXPORT Spectra-targets
    INCLUDES DESTINATION include
)

install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ DESTINATION include)

install(
    EXPORT Spectra-targets
    FILE Spectra-targets.cmake
    NAMESPACE Spectra::
    DESTINATION share/spectra/cmake
)

# Configure package
# -----------------
include(CMakePackageConfigHelpers)

configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/cmake/spectra-config.cmake.in
    ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
    INSTALL_DESTINATION share/spectra/cmake
)

write_basic_package_version_file(
    ${CMAKE_BINARY_DIR}/cmake/spectra-config-version.cmake
    VERSION ${Spectra_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(
    FILES
        ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
        ${CMAKE_BINARY_DIR}/cmake/spectra-config-version.cmake
    DESTINATION share/spectra/cmake
)

find_package(CLANG_FORMAT 9)
if(CLANG_FORMAT_FOUND)
    file(GLOB_RECURSE FORMAT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.h)
    add_custom_target(
        format
        COMMAND ${CLANG_FORMAT_EXECUTABLE} -i -style=file ${FORMAT_SOURCES}
        DEPENDS ${FORMAT_SOURCES}
    )
endif()



# Print out summary of all detected packages
feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL)

=== test/CMakeLists.txt ===
set(test_target_sources)


add_library (tests-main tests-main.cpp)
list(APPEND test_target_sources
        BKLDLT.cpp
        DavidsonSymEigs.cpp
        DenseGenMatProd.cpp
        DenseSymMatProd.cpp
        Eigen.cpp
        GenEigs.cpp
        GenEigsRealShift.cpp
        GenEigsComplexShift.cpp
        Orthogonalization.cpp
        JDSymEigsBase.cpp
        JDSymEigsDPRConstructor.cpp
        QR.cpp
        RitzPairs.cpp
        Schur.cpp
        SearchSpace.cpp
        SparseGenMatProd.cpp
        SparseSymMatProd.cpp
        SVD.cpp
        SymEigs.cpp
        SymEigsShift.cpp
        SymGEigsCholesky.cpp
        SymGEigsRegInv.cpp
        SymGEigsShift.cpp
        )

foreach(TEST_SOURCE ${test_target_sources})
    # Extract the filename without extension (NAME_WE) as a name for our executable
    get_filename_component(TEST_NAME ${TEST_SOURCE} NAME_WE)

    # Add an executable based on the source
    add_executable(${TEST_NAME} ${TEST_SOURCE})

    # Configure (include headers and link libraries) the test
    target_link_libraries(${TEST_NAME} PRIVATE Spectra tests-main)

    add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME}
            WORKING_DIRECTORY ${CMAKE_BINARY_DIR})  # the working directory is the out-of-source build directory
endforeach()

=== test/Makefile ===
CXXFLAGS = -std=c++11 -Wall -O2 -Wno-parentheses -Wno-misleading-indentation -Wno-int-in-bool-context
CPPFLAGS = -I../include
LDFLAGS =
LIBS =

HEADERS = $(wildcard ../include/Spectra/MatOp/*.h) \
	$(wildcard ../include/Spectra/MatOp/internal/*.h) \
	$(wildcard ../include/Spectra/LinAlg/*.h) \
	$(wildcard ../include/Spectra/Util/*.h) \
	$(wildcard ../include/Spectra/*.h) \
	$(wildcard ../include/Spectra/contrib/*.h)

OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out \
	Orthogonalization.out RitzPairs.out SearchSpace.out \
	DenseGenMatProd.out DenseSymMatProd.out SparseGenMatProd.out SparseSymMatProd.out \
	SymEigs.out SymEigsShift.out \
	GenEigs.out GenEigsRealShift.out GenEigsComplexShift.out \
	SymGEigsCholesky.out SymGEigsRegInv.out SymGEigsShift.out \
	SVD.out \
	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out

.PHONY: all test clean

all: $(OUTPUT)

test:
	-./QR.out
	-./Eigen.out
	-./Schur.out
	-./BKLDLT.out
	-./Orthogonalization.out
	-./RitzPairs.out
	-./SearchSpace.out
	-./DenseGenMatProd.out
	-./DenseSymMatProd.out
	-./SparseGenMatProd.out
	-./SparseSymMatProd.out
	-./SymEigs.out
	-./SymEigsShift.out
	-./GenEigs.out
	-./GenEigsRealShift.out
	-./GenEigsComplexShift.out
	-./SymGEigsCholesky.out
	-./SymGEigsRegInv.out
	-./SymGEigsShift.out
	-./SVD.out
	-./JDSymEigsBase.out
	-./JDSymEigsDPRConstructor.out
	-./DavidsonSymEigs.out

tests-main.o: tests-main.cpp catch.hpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $< -c -o $@

%.out: %.cpp $(HEADERS) tests-main.o
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $< tests-main.o -o $@ $(LDFLAGS) $(LIBS)

clean:
	-rm *.out
	-rm *.o

=== debian/changelog ===
spectra (1.0.1-3) unstable; urgency=medium

  * Marking the binary package as Multi-Arch: foreign (Closes: #1034414)
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Wed, 14 Jun 2023 06:51:25 +0200

spectra (1.0.1-2) unstable; urgency=medium

  * Source-only upload

 -- Pierre Gruet <pgt@debian.org>  Sun, 05 Jun 2022 23:43:32 +0200

spectra (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1011068)

 -- Pierre Gruet <pgt@debian.org>  Fri, 20 May 2022 13:40:02 +0200

=== debian/control ===
Source: spectra
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Julien Schueller <schueller@phimeca.com>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libeigen3-dev
Standards-Version: 4.6.2
Homepage: https://spectralib.org/
Vcs-Browser: https://salsa.debian.org/math-team/spectra
Vcs-Git: https://salsa.debian.org/math-team/spectra.git
Rules-Requires-Root: no

Package: libspectra-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libeigen3-dev
Description: library for large scale eigenvalue problems (development files)
 Spectra stands for Sparse Eigenvalue Computation Toolkit as a Redesigned
 ARPACK. It is a C++ library for large scale eigenvalue problems, built on top
 of Eigen, an open source linear algebra library.
 .
 Spectra is implemented as a header-only C++ library, whose only dependency,
 Eigen, is also header-only. Hence Spectra can be easily embedded in C++
 projects that require calculating eigenvalues of large matrices.
 .
 Spectra is designed to calculate a specified number of eigenvalues of a large
 square matrix. Usually this number of eigenvalues is much smaller than the
 size of the matrix, so that only a few eigenvalues and eigenvectors are
 computed, which in general is more efficient than calculating the whole
 spectral decomposition. Users can choose eigenvalue selection rules to pick
 the eigenvalues of interest, such as the largest k eigenvalues, or eigenvalues
 with largest real parts, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/

## spectra 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
-project (Spectra VERSION 1.0.1 LANGUAGES CXX)
+project (Spectra VERSION 1.1.0 LANGUAGES CXX)
 
 # Make CMake look into the ./cmake/ folder for configuration files
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
@@ -21,9 +21,11 @@
 
 # Look for supporting libraries
 # -----------------------------
-find_package(Eigen3 NO_MODULE REQUIRED)
-set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
-message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")
+if (NOT TARGET Eigen3::Eigen)
+  find_package(Eigen3 NO_MODULE REQUIRED)
+  set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
+  message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")
+endif()
 
 # Setup library
 # -------------
@@ -62,16 +64,16 @@
 install(
     TARGETS Spectra
     EXPORT Spectra-targets
-    INCLUDES DESTINATION include
+    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
 
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ DESTINATION include)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 install(
     EXPORT Spectra-targets
     FILE Spectra-targets.cmake
     NAMESPACE Spectra::
-    DESTINATION share/spectra/cmake
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 # Configure package
@@ -81,7 +83,7 @@
 configure_package_config_file(
     ${PROJECT_SOURCE_DIR}/cmake/spectra-config.cmake.in
     ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
-    INSTALL_DESTINATION share/spectra/cmake
+    INSTALL_DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 write_basic_package_version_file(
@@ -94,7 +96,7 @@
     FILES
         ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
         ${CMAKE_BINARY_DIR}/cmake/spectra-config-version.cmake
-    DESTINATION share/spectra/cmake
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 find_package(CLANG_FORMAT 9)

=== test/CMakeLists.txt ===
set(test_target_sources)

add_library (tests-main tests-main.cpp)
list(APPEND test_target_sources
        # Linear algebra
        QR.cpp
        Eigen.cpp
        Schur.cpp
        BKLDLT.cpp
        Arnoldi.cpp

        # JD linear algebra
        Orthogonalization.cpp
        RitzPairs.cpp
        SearchSpace.cpp

        # Matrix operators
        DenseGenMatProd.cpp
        DenseSymMatProd.cpp
        SparseGenMatProd.cpp
        SparseSymMatProd.cpp

        # Symmetric eigen solver
        SymEigs.cpp
        SymEigsShift.cpp

        # Hermitian eigen solver
        HermEigs.cpp

        # General eigen solver
        GenEigs.cpp
        GenEigsRealShift.cpp
        GenEigsComplexShift.cpp

        # Symmetric generalized eigen solver
        SymGEigsCholesky.cpp
        SymGEigsRegInv.cpp
        SymGEigsShift.cpp

        # SVD
        SVD.cpp

        # JD eigen solver
        JDSymEigsBase.cpp
        JDSymEigsDPRConstructor.cpp
        DavidsonSymEigs.cpp

        # Examples from bug reports
        Example1.cpp
        Example2.cpp
        Example3.cpp
        )

foreach(TEST_SOURCE ${test_target_sources})
    # Extract the filename without extension (NAME_WE) as a name for our executable
    get_filename_component(TEST_NAME ${TEST_SOURCE} NAME_WE)

    # Add an executable based on the source
    add_executable(${TEST_NAME} ${TEST_SOURCE})

    # Configure (include headers and link libraries) the test
    target_link_libraries(${TEST_NAME} PRIVATE Spectra tests-main)

    add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME}
            WORKING_DIRECTORY ${CMAKE_BINARY_DIR})  # the working directory is the out-of-source build directory
endforeach()

=== test/Makefile ===
--- 
+++ 
@@ -10,14 +10,16 @@
 	$(wildcard ../include/Spectra/*.h) \
 	$(wildcard ../include/Spectra/contrib/*.h)
 
-OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out \
+OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
 	Orthogonalization.out RitzPairs.out SearchSpace.out \
 	DenseGenMatProd.out DenseSymMatProd.out SparseGenMatProd.out SparseSymMatProd.out \
 	SymEigs.out SymEigsShift.out \
+	HermEigs.out \
 	GenEigs.out GenEigsRealShift.out GenEigsComplexShift.out \
 	SymGEigsCholesky.out SymGEigsRegInv.out SymGEigsShift.out \
 	SVD.out \
-	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out
+	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out \
+	Example1.out Example2.out Example3.out
 
 .PHONY: all test clean
 
@@ -28,6 +30,7 @@
 	-./Eigen.out
 	-./Schur.out
 	-./BKLDLT.out
+	-./Arnoldi.out
 	-./Orthogonalization.out
 	-./RitzPairs.out
 	-./SearchSpace.out
@@ -37,6 +40,7 @@
 	-./SparseSymMatProd.out
 	-./SymEigs.out
 	-./SymEigsShift.out
+	-./HermEigs.out
 	-./GenEigs.out
 	-./GenEigsRealShift.out
 	-./GenEigsComplexShift.out
@@ -47,6 +51,9 @@
 	-./JDSymEigsBase.out
 	-./JDSymEigsDPRConstructor.out
 	-./DavidsonSymEigs.out
+	-./Example1.out
+	-./Example2.out
+	-./Example3.out
 
 tests-main.o: tests-main.cpp catch.hpp
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $< -c -o $@
@@ -57,4 +64,3 @@
 clean:
 	-rm *.out
 	-rm *.o
-

=== debian/changelog ===
spectra (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Raising Copyright years
  * Passing BUILD_TESTS=ON in d/ruls instead of using a patch
  * Setting the install path of cmake files to /usr/share/spectra/cmake

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Jan 2025 15:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libeigen3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://spectralib.org/
 Vcs-Browser: https://salsa.debian.org/math-team/spectra
 Vcs-Git: https://salsa.debian.org/math-team/spectra.git

## spectra 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
-project (Spectra VERSION 1.1.0 LANGUAGES CXX)
+cmake_minimum_required (VERSION 3.10 FATAL_ERROR)
+project (Spectra VERSION 1.2.0 LANGUAGES CXX)
 
 # Make CMake look into the ./cmake/ folder for configuration files
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
+include(CPM)
 include(FeatureSummary)
 include(CheckCXXCompilerFlag)
 set(CMAKE_CXX_STANDARD 11)
@@ -21,10 +22,19 @@
 
 # Look for supporting libraries
 # -----------------------------
-if (NOT TARGET Eigen3::Eigen)
-  find_package(Eigen3 NO_MODULE REQUIRED)
-  set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
-  message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")
+if(NOT TARGET Eigen3::Eigen)
+    CPMFindPackage(
+        NAME Eigen3
+        VERSION 3.4.0
+        URL https://gitlab.com/libeigen/eigen/-/archive/3.4.0/eigen-3.4.0.tar.gz
+        # Eigen's CMakelists are not intended for library use
+        DOWNLOAD_ONLY YES
+    )
+
+    if(Eigen3_ADDED)
+        add_library(Eigen3::Eigen INTERFACE IMPORTED)
+        target_include_directories(Eigen3::Eigen INTERFACE ${Eigen3_SOURCE_DIR})
+    endif()
 endif()
 
 # Setup library
@@ -99,7 +109,7 @@
     DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
-find_package(CLANG_FORMAT 9)
+find_package(CLANG_FORMAT 16)
 if(CLANG_FORMAT_FOUND)
     file(GLOB_RECURSE FORMAT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.h)
     add_custom_target(

=== examples/CMakeLists.txt ===
set(example_target_sources)

list(APPEND example_target_sources
        DavidsonSymEigs_example.cpp
        )

foreach(EXAMPLE_SOURCE ${example_target_sources})
    # Extract the filename without extension (NAME_WE) as a name for our executable
    get_filename_component(EXAMPLE_NAME ${EXAMPLE_SOURCE} NAME_WE)

    # Add an executable based on the source
    add_executable(${EXAMPLE_NAME} ${EXAMPLE_SOURCE})

    # Configure (include headers and link libraries) the example
    target_link_libraries(${EXAMPLE_NAME} PRIVATE Spectra)

endforeach()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 add_library (tests-main tests-main.cpp)
 list(APPEND test_target_sources
         # Linear algebra
+        Givens.cpp
         QR.cpp
         Eigen.cpp
         Schur.cpp
@@ -31,6 +32,9 @@
         GenEigs.cpp
         GenEigsRealShift.cpp
         GenEigsComplexShift.cpp
+
+        # Complex eigen solver
+        ComplexEigs.cpp
 
         # Symmetric generalized eigen solver
         SymGEigsCholesky.cpp

=== test/Makefile ===
--- 
+++ 
@@ -10,12 +10,13 @@
 	$(wildcard ../include/Spectra/*.h) \
 	$(wildcard ../include/Spectra/contrib/*.h)
 
-OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
+OUTPUT = Givens.out QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
 	Orthogonalization.out RitzPairs.out SearchSpace.out \
 	DenseGenMatProd.out DenseSymMatProd.out SparseGenMatProd.out SparseSymMatProd.out \
 	SymEigs.out SymEigsShift.out \
 	HermEigs.out \
 	GenEigs.out GenEigsRealShift.out GenEigsComplexShift.out \
+	ComplexEigs.out \
 	SymGEigsCholesky.out SymGEigsRegInv.out SymGEigsShift.out \
 	SVD.out \
 	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out \
@@ -26,6 +27,7 @@
 all: $(OUTPUT)
 
 test:
+	-./Givens.out
 	-./QR.out
 	-./Eigen.out
 	-./Schur.out
@@ -44,6 +46,7 @@
 	-./GenEigs.out
 	-./GenEigsRealShift.out
 	-./GenEigsComplexShift.out
+	-./ComplexEigs.out
 	-./SymGEigsCholesky.out
 	-./SymGEigsRegInv.out
 	-./SymGEigsShift.out

=== debian/changelog ===
spectra (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0:
    - Builds with CMake 4 (Closes: #1113533)
  * Refreshing patch
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sun, 28 Sep 2025 20:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libeigen3-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://spectralib.org/
 Vcs-Browser: https://salsa.debian.org/math-team/spectra
 Vcs-Git: https://salsa.debian.org/math-team/spectra.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

# Built build-time tests to run them
override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_TESTS:BOOL=ON \

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/yixuan/spectra/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
